/* BLOCKS CSS  */

/*************************************************************************/
/*  Collapse  */

.res-collapse .card {
    border: 0;
}

/* Collapse Cards */
.res-collapse {
    a {
        .card-header {
            background-color: transparent;
            border-bottom: 1px solid rgba(0, 0, 0, 0.125);
            cursor: pointer;
            padding: 1.75rem 1.75rem 1.75rem 0rem;

            .card-header-title {
                transition: color 0.3s ease-in-out, font-weight 0.3s ease-in-out !important;
                font-weight: 400;
                color: var(--accent-color);
                display: block;
            }
            p.card-header-title {
                font-size: var(--font-size-body);
            }

            .collapse-icon {
                i {
                    color: var(--text-color);
                    transition: color 0.3s ease-in-out, transform 0.3s ease-in-out;
                    display: block;
                }
            }

            &:hover,
            &:active,
            &:focus {

                .collapse-icon {
                    i {
                        color: var(--accent-color);
                    }
                }

                .card-header-title {
                    font-weight: 600;
                    color: var(--accent-color);
                }
            }
        }

        &[aria-expanded="true"] {
            .card-header {
                .card-header-title {
                    font-weight: 600;
                    color: var(--accent-color);
                }

                .collapse-icon {
                    i {
                        color: var(--accent-color);
                        transform: rotate(180deg);
                    }
                }
            }
        }
    }
}

.res-collapse .card-body {
    padding: 1.25rem 1.75rem 1.25rem 0rem;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

@media only screen and (max-width: 970px) {
    .res-collapse .card-body {
        padding-left: 0px;
    }
}

/* Title */
.res-collapse .title-collapse {
    margin-bottom: 0;
}

.res-collapse .title-collapse-smaller {
    font-size: 115%;
}

.res-collapse .card-header p.title-collapse {
    font-size: clamp(20px, 1.3vw, 160%);
}

.res-collapse .card-header p.title-collapse-smaller {
    font-size: 100%;
    margin-bottom: 0;
}

/* Icon  */
.res-collapse .collapse-icon {
    color: var(--text-color);
    font-size: 105%;
}

/* Icon Mobile  */
@media only screen and (max-width: 970px) {
    .res-collapse .collapse-icon {
        margin-left: 20px;
    }
}

.res-collapse a:not(.collapsed) .rotate-icon {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.res-collapse .fa-angle-down.rotate-icon {
    -webkit-transition: all 150ms ease-in 0s;
    -moz-transition: all 150ms ease-in 0s;
    -ms-transition: all 150ms ease-in 0s;
    transition: all 150ms ease-in 0s;
}

.res-collapse .fa-angle-down:before {
    content: "\f107";
}

/* for icon animated add class .rotate-icon-animated  */
.res-collapse a:not(.collapsed) .rotate-icon-animated {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
    transition: all .3s ease-in-out;
}

.res-collapse .rotate-icon-animated {
    transition: all .3s ease-in-out;
}

/* ------------  CMS Backend Preview ---------------- */

.acf-block-preview .res-collapse {
    position: relative;
    padding: 10px 30px;
    border-left: 1px solid #f4f4f4;
}

.acf-block-preview .res-collapse h1,
.acf-block-preview .res-collapse h2,
.acf-block-preview .res-collapse h3,
.acf-block-preview .res-collapse .card-body h1,
.acf-block-preview .res-collapse .card-body h2,
.acf-block-preview .res-collapse .card-body h3 {
    font-size: 18px;
    line-height: 24px;
    font-weight: 400;
    padding: 0;
    margin: 10px 0;
}

.acf-block-preview .res-collapse .card-body p {
    font-size: 16px !important;
    line-height: 18px;
    padding: 0;
    margin: 10px 0;
}

.acf-block-preview .res-collapse a {
    color: #000;
    text-decoration: none;
}

.acf-block-preview .res-collapse ul,
.acf-block-preview .res-collapse li {
    font-size: 16px !important;
    line-height: 20px;
    padding: 4px 0;
    margin: 0 0 0 15px;
}

.acf-block-preview .res-collapse .btn {
    font-size: 14px !important;
    padding: 8px 16px;
    margin: 8px 0;
    border: 0;
    background-color: #eee;
}

.acf-block-preview .res-collapse .card {
    position: relative;
    margin: 0;
    padding: 0;
    min-width: unset;
    max-width: unset;
    border: 0;
    border-left: 1px solid #dedede;
    padding-left: 20px;
    box-shadow: 0 1px 1px rgb(0 0 0 / 0%);
    background: transparent;
}

.acf-block-preview .res-collapse .card-header {
    padding: 10px 0 0 0;
}

.acf-block-preview .res-collapse .card-header {
    position: relative;
    padding: 0;
    height: 50px;
    overflow: hidden;
    border-bottom: 1px solid lightgrey;
}

.acf-block-preview .res-collapse .card-body {
    position: relative;
    padding: 0;
    max-height: 120px;
    overflow: hidden;
}

.acf-block-preview .res-collapse .collapse-layout-custompost .card-body {
    display: none !important;
}

/*
.acf-block-preview .res-collapse .card-body:after {
    content: "";
    bottom: 0;
    z-index: 0;
    position: absolute;
    width: 100%;
    height: 60px;
    background: linear-gradient(transparent, #fff);
}
*/